<div>
  <% if current_user.admin? || current_user.rep? %>
    <% if @draw.status == 'draft' %>
      <% if policy(:draw_student).edit? %>
        <%= link_to 'Add or edit students', edit_draw_students_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(DrawSuite.new(draw: @draw.__getobj__)).edit_collection? %>
        <%= link_to 'Add or edit suites', edit_collection_draw_suites_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(:intent).report? %>
        <%= link_to 'Upload intents', report_draw_intents_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(@draw).bulk_on_campus? %>
        <%= link_to 'Make all students on campus', bulk_on_campus_draw_path(@draw),
          method: :patch,
          **with_tooltip(text: 'Sets all students who have not declared'\
                        ' their housing intent to living on campus',
                        class_override: 'button secondary') %>
      <% end %>
      <% if policy(@draw).lock_intent? %>
        <div class="lock-intent-form">
          <%= simple_form_for @draw, inner_html: { style: 'display: inline-block;' } do |f| %>
            <%= f.input :intent_locked, as: 'hidden',
              input_html: { value: !@draw.intent_locked } %>
            <%= f.submit lock_intent_btn_label(@draw),
              **with_tooltip(text: lock_intent_btn_tooltip(@draw), class_override: 'button secondary') %>
          <% end %>
        </div>
      <% end %>
      <% if policy(@draw).activate? %>
        <%= link_to 'Begin draw process',
          activate_draw_path(@draw), method: :patch,
          data: { confirm: 'This will send an e-mail to all students in the draw inviting them to log in and start forming groups. Do you want to continue?' },
          class: 'button' %>
      <% end %>
    <% elsif @draw.status == 'pre_lottery' %>
      <% if policy(Group).new? && policy(@draw).group_actions? %>
        <%= link_to 'Add group to draw', new_draw_group_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(Clip.new(draw: @draw.__getobj__)).new? %>
        <%= link_to 'Create a clip', new_draw_clip_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(@draw).bulk_on_campus? %>
        <%= link_to 'Make all students on campus', bulk_on_campus_draw_path(@draw),
          method: :patch,
          **with_tooltip(text: 'Sets all students who have not declared'\
                        ' their housing intent to living on campus',
                        class_override: 'button secondary') %>
      <% end %>
      <% if policy(@draw).lock_intent? %>
        <div class="lock-intent-form">
          <%= simple_form_for @draw, inner_html: { style: 'display: inline-block;' } do |f| %>
            <%= f.input :intent_locked, as: 'hidden',
              input_html: { value: !@draw.intent_locked } %>
            <%= f.submit lock_intent_btn_label(@draw),
              **with_tooltip(text: lock_intent_btn_tooltip(@draw), class_override: 'button secondary') %>
          <% end %>
        </div>
      <% end %>
      <% if @draw.oversubscribed? && policy(@draw).oversubscription? %>
        <%= link_to 'Handle oversubscription', oversub_draw_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(@draw).start_lottery? %>
        <%= link_to 'Proceed to lottery', lottery_confirmation_draw_path(@draw), class: start_lottery_btn_class(@draw) %>
      <% end %>
    <% elsif @draw.status == 'lottery' %>
      <% if policy(LotteryAssignment.new(draw: @draw.__getobj__)).index? %>
        <%= link_to 'Manually assign lottery numbers', draw_lottery_assignments_path(@draw), class: 'button secondary' %>
      <% end %>
      <% if policy(LotteryAssignment.new(draw: @draw.__getobj__)).automatic? %>
        <%= link_to 'Automatically assign lottery numbers',
          automatic_draw_lottery_assignments_path(@draw),
          method: :post,
          data: { confirm: 'This will randomly assign lottery numbers to all groups and clips. They cannot be altered after being set and the draw will proceed to the suite selection phase. Are you sure you want to continue?' },
          class: 'button' %>
      <% end %>
      <% if policy(@draw).start_selection? %>
        <%= link_to 'Start suite selection', start_selection_draw_path(@draw), method: :patch,
          data: { confirm: 'Are you sure that you have finished assigning lottery numbers? They cannot be changed after you proceed!' }, class: 'button' %>
      <% end %>
    <% elsif @draw.status == 'suite_selection' %>
      <% if policy(SuiteAssignment.new(draw: @draw.__getobj__, groups: [])).new? %>
        <%= link_to 'Select suites', new_draw_suite_assignment_path(@draw), class: 'button' %>
      <% end %>
      <% if policy(@draw).group_export? %>
        <%= link_to 'Export Lottery Numbers', group_export_draw_path(@draw), class: 'button secondary' %>
      <% end %>
    <% elsif @draw.status == 'results' %>
      <% if policy(@draw).results? %>
        <%= link_to 'View results', results_draw_path(@draw), class: 'button' %>
      <% end %>
      <% if policy(@draw).group_export? %>
        <%= link_to 'Export Suite Assignments', group_export_draw_path(@draw), class: 'button secondary' %>
      <% end %>
    <% end %>
  <% end %>
</div>
